{
  description = "A flake for Terraform development";

  inputs.nixpkgs.url = "nixpkgs/nixos-unstable";

  outputs = { self, nixpkgs }: {
    devShells.x86_64-linux.default =
      let
        system = "x86_64-linux";
        pkgs = import nixpkgs {
          inherit system;
          config.allowUnfree = true;
        };
      in
      pkgs.mkShell {
        buildInputs = with pkgs; [
          terraform
          cdrtools
          kubectl
          kubernetes-helm
        ];
      };
  };
}
